# Solfege - free ear training software
# Copyright (C) 2007, 2008 Tom Cato Amundsen
# License is GPL, see file COPYING

# Utility functions used by the test suite.

import unittest
import os
import src

import __builtin__
__builtin__.testsuite_is_running = True

outdir = 'test-outdir'

class I18nSetup(unittest.TestCase):
    def setUp(self):
        self.__saved_LANGUAGE = os.environ.get('LANGUAGE', None)
        os.environ['LANGUAGE'] = 'nb'
        src.i18n.setup(".")
    def tearDown(self):
        if self.__saved_LANGUAGE:
            os.environ['LANGUAGE'] = self.__saved_LANGUAGE

